> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paysight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# GetTransactionStatusCode

> Gets a specific transaction status code by ID



## OpenAPI

````yaml /api-reference/admin-api/paysight_admin_api.yaml get /api/admin/statuses/{id}
openapi: 3.0.0
info:
  title: Paysight Admin API
  version: 1.0.0
servers:
  - description: Test Server
    url: https://test.paysight.io
security:
  - ApiKeyAuth: []
paths:
  /api/admin/statuses/{id}:
    get:
      tags:
        - TransactionStatuses
      summary: GetTransactionStatusCode
      description: Gets a specific transaction status code by ID
      parameters:
        - $ref: '#/components/parameters/ClientId'
        - $ref: '#/components/parameters/UserEmail'
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Status code ID to retrieve
      responses:
        '200':
          description: Transaction status details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionStatusSingleResponse'
        '404':
          description: Status code not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                  requestedId:
                    type: string
                  timestamp:
                    type: string
                    format: date-time
components:
  parameters:
    ClientId:
      name: ClientId
      in: header
      required: true
      description: >-
        Your Paysight Tenant/Client Id. This is the id of the parent company
        listed in https://app.paysight.io/management/companies. Alternatively,
        this will be provided by Paysight
      schema:
        type: string
    UserEmail:
      name: UserEmail
      in: header
      required: true
      description: The email address of the party or group making the request
      schema:
        type: string
  schemas:
    TransactionStatusSingleResponse:
      type: object
      description: Response containing a single transaction status code
      properties:
        success:
          type: boolean
          description: Indicates if the request was successful
        data:
          $ref: '#/components/schemas/TransactionStatus'
          description: Transaction status details
    TransactionStatus:
      type: object
      description: >-
        Transaction status code with fraud indicators based on card payment
        statuses
      properties:
        id:
          type: string
          description: Unique identifier for the status code
        status:
          type: string
          description: Status description
        successful:
          type: boolean
          description: Indicates whether this status represents a successful transaction
        isGatewayLevelStatus:
          type: boolean
          description: Indicates if this is a gateway-level status
        isIssuerDecline:
          type: boolean
          description: Indicates if this status represents an issuer decline
        isInsufficientFunds:
          type: boolean
          description: Indicates if this status represents insufficient funds
        isInvalidCardDetails:
          type: boolean
          description: Indicates if this status represents invalid card details
        isOther:
          type: boolean
          description: Indicates if this status represents other error types
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Paysight API key. You can find it in your Paysight account at
        https://app.paysight.io/settings/account

````